# 乘法

> 乘法（英语：Multiplication），加法的连续运算，同一数的若干次连加，其运算结果称为积（英语：Product）。

$$ \sum_{k=1}^{n}{m} = \underbrace{m + m + m + \cdots + m}_{n} = m \times n $$

## 表示法

- $ m \times n $
- $ m \cdot n $
- $ m * n $
- $ mn $ (代数中，乘号经常省略掉)

## 性质

- 交换律 $a \times b = b \times a$
- 结合律 $ (a \times  b) \times c = a \times (b \times c)$
- 分配律 $a \times (b+c)= a\times b + a\times c$

## 乘法口诀表

| $\times$ | 1   | 2   | 3   | 4   | 5   | 6   | 7   | 8   | 9   | 10  | 11  | 12  |
| -------- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| 1        | 1   | 2   | 3   | 4   | 5   | 6   | 7   | 8   | 9   | 10  | 11  | 12  |
| 2        | 2   | 4   | 6   | 8   | 10  | 12  | 14  | 16  | 18  | 20  | 22  | 24  |
| 3        | 3   | 6   | 9   | 12  | 15  | 18  | 21  | 24  | 27  | 30  | 33  | 36  |
| 4        | 4   | 8   | 12  | 16  | 20  | 24  | 28  | 32  | 36  | 40  | 44  | 48  |
| 5        | 5   | 10  | 15  | 20  | 25  | 30  | 35  | 40  | 45  | 50  | 55  | 60  |
| 6        | 6   | 12  | 18  | 24  | 30  | 36  | 42  | 48  | 54  | 60  | 66  | 72  |
| 7        | 7   | 14  | 21  | 28  | 35  | 42  | 49  | 56  | 63  | 70  | 77  | 84  |
| 8        | 8   | 16  | 24  | 32  | 40  | 48  | 56  | 64  | 72  | 80  | 88  | 96  |
| 9        | 9   | 18  | 27  | 36  | 45  | 54  | 63  | 72  | 81  | 90  | 99  | 108 |
| 10       | 10  | 18  | 27  | 36  | 45  | 54  | 63  | 72  | 81  | 100 | 110 | 120 |
| 11       | 11  | 18  | 27  | 36  | 45  | 54  | 63  | 72  | 81  | 110 | 121 | 132 |
| 12       | 12  | 18  | 27  | 36  | 45  | 54  | 63  | 72  | 81  | 120 | 132 | 144 |

## 竖式计算

$ 12 \times 3 $ 表示3个12的和，也可以表示为3个10和3个2的和，即36。可以用竖式计算乘法：

$\begin{array}{ccc}
        &1  &2 \\\\
\times  &   &3 \\\\
\hline
        &   &6 \\\\
{+}     &3  &0 \\\\
\hline
=       &3  &6
\end{array}$
