# 时间

## 单位

日(day，也称天)、时(hour，也称小时)、分(minute，也称分钟)、秒(second)、毫秒(millisecond)、微秒(microsecond)、纳秒(nanosecond)

- 1纳秒 $= \frac{1}{1000}$微秒
- 1微秒 $= \frac{1}{1000}$毫秒
- 1毫秒 $= \frac{1}{1000}$秒
- 1分 $= 60$秒
- 1时 $= 60$分$= 3600$秒
- 1日 $= 24$时$= 1440$分$= 86400$秒

1日，也称天，大约是地球相对太阳自转一周之时长，即一昼夜循环。

## 历法

历法是以日为基础单位计算时间的方法。一日以内的时间计算为**计时**。

### 阳历

阳历（又称太阳历，英语：Solar Calendar），为据地球围绕太阳公转轨道位置，或地球上所呈现出太阳直射点的周期性变化(**回归年**)，所制定的历法，岁（太阳年）实为365.2421897日（太阳日），一岁分为十二个月，有大小月之分，一、三、五、七、八、十、十二月各三十一日；四、六、九、十一月各三十日。而二月平年二十八日，闰年二十九日。现时国际通用的**公历**（西历）即为太阳历的一种，亦简称为阳历。

![北半球地球公转与季节变化](../图片/北半球地球公转与季节变化.jpg)

知识点

1. 阳历年分闰年与平年
   ```js
   // 四年一闰，百年不闰，四百年又闰
   ( Y%4==0 && Y%100!=0 || Y%400==0 ) ? '闰年' : '平年'
   ```
2. 阳历年分为12个月，月分大、小、闰、平月

    ![拳头记忆大小月](../图片/拳头记忆大小月.jpg)

3. 太阳直射点的变化周期 = 回归年 $\approx 365.2421897$日

#### 公历节日

| 日期            | 名称                       | 说明     |
| --------------- | -------------------------- | -------- |
| 1月1日          | 公历新年                   | 又称元旦 |
| 3月5日          | 学雷锋纪念日               |          |
| 3月8日          | 妇女节                     |          |
| 3月12日         | 植树节                     |          |
| 4月22日         | 世界地球日                 |          |
| 4月23日         | 世界读书日                 |          |
| 5月1日          | 劳动节                     |          |
| 5月4日          | 青年节                     |          |
| 5月第二个星期日 | 母亲节                     |          |
| 6月1日          | 儿童节                     |          |
| 6月第三个星期日 | 父亲节                     |          |
| 7月1日          | 中国共产党诞生纪念日       |          |
| 8月1日          | 中国人民解放军建军纪念日   |          |
| 9月3日          | 中国人民抗日战争胜利纪念日 |          |
| 9月10日         | 教师节                     |          |
| 10月1日         | 国庆节                     |          |
| 10月24日        | 程序员节                   |          |
| 12月13日        | 南京大屠杀死难者国家公祭日 |          |

### 阴历

阴历亦称**月亮历**，或称**太阴历**，其历月是一个朔望月，历年为12个朔望月，其大月30天，小月29天，伊斯兰历即为阴历的一种。

### 阴阳历

阴阳历的平均历年为一个回归年，历月为**朔望月**，因为12个朔望月与回归年相差太大，所以阴阳历中设置**闰月**，所以这种历法与**月相**相符，也与地球绕太阳周期运动相符合。**中国的农历**就是阴阳历的一种。

#### 农历

农历，现今中华文化圈民间传统广泛使用的阴阳合历。古代相传为黄帝时代或者夏朝创制，又称黄历、夏历。

月份名称

| 农历 | 一月       | 二月 | 三月 | 四月 | 五月 | 六月 | 七月       | 八月 | 九月 | 十月 | 十一月     | 十二月     |
| ---- | ---------- | ---- | ---- | ---- | ---- | ---- | ---------- | ---- | ---- | ---- | ---------- | ---------- |
| 名称 | 正月或端月 | 花月 | 桐月 | 梅月 | 蒲月 | 荔月 | 瓜月或鬼月 | 桂月 | 菊月 | 阳月 | 冬月或葭月 | 腊月或全月 |

##### 农历节日

| 日期       | 名称     | 说明                                           |
| ---------- | -------- | ---------------------------------------------- |
| 正月初一日 | 农历新年 | 春节、年初一                                   |
| 正月十五日 | 元宵节   | 又称上元节、元夜、灯节。是日，吃元宵、闹花灯。 |
| 二月初二日 | 中和节   | 俗称龙抬头                                     |
| 4月4~5日   | 清明节   | 是日，扫墓、踏青、祭祖                         |
| 五月初五日 | 端午节   | 是日，吃粽子、赛龙舟、悬香草、喝雄黄酒、佩香囊 |
| 七月初七日 | 乞巧节   | 是夜为“七夕”                                   |
| 七月十五日 | 中元节   | 又称“鬼节”，放河灯、化纸祭祖                   |
| 八月十五日 | 中秋节   | 是日，吃月饼、赏月                             |
| 九月初九   | 重阳节   | 敬老、登高、插茱萸                             |
| 腊月初八日 | 腊八节   | 释迦牟尼成道的日子，吃腊八粥                   |
| 腊月卅日   | 年三十   | 是夜又称大年夜、年夜、除夕(夜)                 |
